Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp.extensions
Class AFPExtensionHandlerFactory

    java.lang.Object
      org.apache.fop.render.afp.extensions.AFPExtensionHandlerFactory

All Implemented Interfaces:
  ContentHandlerFactory

public class AFPExtensionHandlerFactory
extends java.lang.Object
implements ContentHandlerFactory

Factory for the ContentHandler that handles serialized AFPPageSetup instances.

Nested Class Summary

Nested classes inherited from class org.apache.fop.util.ContentHandlerFactory
`ContentHandlerFactory.ObjectBuiltListener, ContentHandlerFactory.ObjectSource`

Constructor Summary
`AFPExtensionHandlerFactory()`

Method Summary
`org.xml.sax.ContentHandler` | `createContentHandler()`
`java.lang.String[]` | `getSupportedNamespaces()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPExtensionHandlerFactory

    public AFPExtensionHandlerFactory()

Method Detail

### getSupportedNamespaces

    public java.lang.String[] getSupportedNamespaces()

  Specified by:
    `getSupportedNamespaces` in interface `ContentHandlerFactory`
  Returns:
    an array of supported namespaces.

### createContentHandler

    public org.xml.sax.ContentHandler createContentHandler()

  Specified by:
    `createContentHandler` in interface `ContentHandlerFactory`
  Returns:
    a new ContentHandler to handle a SAX stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.